import * as cxapi from '@aws-cdk/cx-api';
import { ISDK } from './aws-auth';
import { CloudFormationStack } from './util/cloudformation';
export declare const DEFAULT_TOOLKIT_STACK_NAME = "CDKToolkit";
/**
 * Information on the Bootstrap stack
 *
 * Called "ToolkitInfo" for historical reasons.
 *
 * @experimental
 */
export declare class ToolkitInfo {
    readonly stack: CloudFormationStack;
    private readonly sdk?;
    static determineName(overrideName?: string): string;
    /** @experimental */
    static lookup(environment: cxapi.Environment, sdk: ISDK, stackName: string | undefined): Promise<ToolkitInfo | undefined>;
    constructor(stack: CloudFormationStack, sdk?: ISDK | undefined);
    get bucketUrl(): string;
    get bucketName(): string;
    get version(): number;
    get parameters(): Record<string, string>;
    /**
     * Prepare an ECR repository for uploading to using Docker
     *
     * @experimental
     */
    prepareEcrRepository(repositoryName: string): Promise<EcrRepositoryInfo>;
    private requireOutput;
}
/** @experimental */
export interface EcrRepositoryInfo {
    repositoryUri: string;
}
/** @experimental */
export interface EcrCredentials {
    username: string;
    password: string;
    endpoint: string;
}
